commit:     55f3cd600b6730803473086842903db6f2187f88
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Wed Aug  9 22:15:31 2017 +0000
Commit:     Matt Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Wed Aug  9 22:20:29 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=55f3cd60

sys-boot/plymouth: 0.9.3 bup

Package-Manager: Portage-2.3.6, Repoman-2.3.3

 sys-boot/plymouth/Manifest              |  1 +
 sys-boot/plymouth/plymouth-0.9.3.ebuild | 95 +++++++++++++++++++++++++++++++++
 2 files changed, 96 insertions(+)

diff --git a/sys-boot/plymouth/Manifest b/sys-boot/plymouth/Manifest
index 5fd15751352..0b119724dc2 100644
--- a/sys-boot/plymouth/Manifest
+++ b/sys-boot/plymouth/Manifest
@@ -1,2 +1,3 @@
 DIST gentoo-logo.png 14501 SHA256 
79ebc1d66693371a90e218ad421cfed05066b51a6645bd967bb7da356a0881fa SHA512 
059a555931b6d2a910bcd887f5ea0cc17c6edf2d2d45c03a1fec1bdda0138ba6bca6bdf90a65c6520a3f8f1b51ecf6f7956098f45ed6c1276f29c835e729163c
 WHIRLPOOL 
65496223badb9a96cc72ba6a2432860af0756eea57f67946d2466ff1c3c1171c84568c502aa576613b77767c41cf251856728b509c72003567d4cebd1943375e
 DIST plymouth-0.9.2.tar.bz2 1231336 SHA256 
2f0ce82042cf9c7eadd2517a1f74c8a85fa8699781d9f294a06eade29fbed57f SHA512 
89356eb8326504fbf3155de262ce15de0847f0a0e6d157d873cf1dea9af464a6cb9e11d7143ee9a595b217a2487060b5835eba5ac142c3cd6d66689deb272e60
 WHIRLPOOL 
5f9e662dec633bb606cf4246611b442a0eb9eaa92942b37c53d1c48b6ca8ef96c5f4330d574b82de6a026ca175a770c1a45f52c7809c80d026126d805e707eba
+DIST plymouth-0.9.3.tar.xz 1102724 SHA256 
9f8dd08a90ceaf6228dcd8c27759adf18fc9482f15b6c56dcbcced268b4e4a74 SHA512 
d7b9ba97485cdac7ad6bcaf5a7f1a9c84ece54b8d46d5efce4170294c0aa6571656d7d9957b53aed9c1e51d4d525714f54b7dbb08d8ec0b196a1a4419fd186ed
 WHIRLPOOL 
a7ccc870fb6149da21873ec92b241f564ce76ee0319a626a423ed1f77820deb0d09ed52bab86fdd501a4827dd02bd7403e78af1cbbd4e9f77fc9bda57ce59fa3

diff --git a/sys-boot/plymouth/plymouth-0.9.3.ebuild 
b/sys-boot/plymouth/plymouth-0.9.3.ebuild
new file mode 100644
index 00000000000..ef1d1a8d76e
--- /dev/null
+++ b/sys-boot/plymouth/plymouth-0.9.3.ebuild
@@ -0,0 +1,95 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+SRC_URI="https://dev.gentoo.org/~aidecoe/distfiles/${CATEGORY}/${PN}/gentoo-logo.png";
+
+if [[ ${PV} == 9999 ]]; then
+       EGIT_REPO_URI="git://anongit.freedesktop.org/plymouth"
+       inherit git-r3
+else
+               SRC_URI="${SRC_URI} 
https://www.freedesktop.org/software/plymouth/releases/${P}.tar.xz";
+fi
+
+inherit autotools readme.gentoo-r1 systemd toolchain-funcs
+
+DESCRIPTION="Graphical boot animation (splash) and logger"
+HOMEPAGE="https://cgit.freedesktop.org/plymouth/";
+
+LICENSE="GPL-2"
+SLOT="0"
+[[ ${PV} == 9999 ]] || \
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="debug gdm +gtk +libkms +pango static-libs"
+
+CDEPEND="
+       >=media-libs/libpng-1.2.16:=
+       gtk? (
+               dev-libs/glib:2
+               >=x11-libs/gtk+-3.14:3
+               x11-libs/cairo )
+       libkms? ( x11-libs/libdrm[libkms] )
+       pango? ( >=x11-libs/pango-1.21 )
+"
+DEPEND="${CDEPEND}
+       virtual/pkgconfig
+"
+# Block due bug #383067
+RDEPEND="${CDEPEND}
+       virtual/udev
+       !<sys-kernel/dracut-0.37-r3
+"
+
+DOC_CONTENTS="
+       Follow the following instructions to set up Plymouth:\n
+       https://wiki.gentoo.org/wiki/Plymouth#Configuration
+"
+
+PATCHES=(
+)
+
+src_configure() {
+       local myconf
+       myconf="--with-system-root-install=no
+       --localstatedir=/var
+       --without-rhgb-compat-link
+       --enable-systemd-integration
+       --with-systemdunitdir="$(systemd_get_systemunitdir)"
+       $(use_enable !static-libs shared)
+       $(use_enable static-libs static)
+       $(use_enable debug tracing)
+       $(use_enable gtk gtk)
+       $(use_enable libkms drm)
+       $(use_enable pango)
+       $(use_enable gdm gdm-transition)"
+       eautoreconf
+       econf ${myconf}
+}
+
+src_install() {
+       default
+
+       insinto /usr/share/plymouth
+       newins "${DISTDIR}"/gentoo-logo.png bizcom.png
+
+       # Install compatibility symlinks as some rdeps hardcode the paths
+       dosym /usr/bin/plymouth /bin/plymouth
+       dosym /usr/sbin/plymouth-set-default-theme 
/sbin/plymouth-set-default-theme
+       dosym /usr/sbin/plymouthd /sbin/plymouthd
+
+       readme.gentoo_create_doc
+
+       # looks like make install create /var/run/plymouth
+       # this is not needed for systemd, same should hold for openrc
+       # so remove
+       rm -rf "${D}"/var/run
+}
+
+pkg_postinst() {
+       readme.gentoo_print_elog
+       if ! has_version "sys-kernel/dracut" && ! has_version 
"sys-kernel/genkernel-next[plymouth]"; then
+               ewarn "If you want initramfs builder with plymouth support, 
please emerge"
+               ewarn "sys-kernel/dracut or 
sys-kernel/genkernel-next[plymouth]."
+       fi
+}

Reply via email to